Loading...
Searching...
No Matches
obutil.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <string>`
`#include <iosfwd>`
`#include <time.h>`
`#include <math.h>`
`#include <ctime>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBStopwatch
class | OBSqrtTbl
class | triple< T1, T2, T3 >
class | quad< T1, T2, T3, T4 >

## Namespaces

namespace | OpenBabel

## Macros

#define | M_PI 3.14159265358979323846

## Functions

void | rotate_coords (double *, double m[3][3], unsigned)
double | calc_rms (double *r, double *f, unsigned int N)
String conversion utilities
void | ToUpper (std::string &s)
void | ToUpper (char *cptr)
void | ToLower (std::string &s)
void | ToLower (char *cptr)
void | InvertCase (std::string &, int)
void | InvertCase (char *cptr)
void | CleanAtomType (char *)
bool | OBCompareInt (const int &a, const int &b)
bool | OBCompareUnsigned (const unsigned int &a, const unsigned int &b)
bool | IsNear (const double &a, const double &b, const double epsilon)
bool | IsNearZero (const double &a, const double epsilon)
bool | IsNan (const double &a)
bool | IsNegligible (const double &a, const double &b, const double precision=1e-11)
bool | IsApprox (const double &a, const double &b, const double precision=1e-11)
bool | IsApprox_pos (const double &a, const double &b, const double precision=1e-11)
bool | CanBeSquared (const double &)
bool | SafeOpen (std::ifstream &fs, const char *filename)
bool | SafeOpen (std::ofstream &fs, const char *filename)

## Detailed Description

Various utility methods.

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846

Referenced by OBBuilder::CorrectStereoBonds(), CairoPainter::DrawCircle(), OBRotorRules::GetRotorIncrements(), OBRotor::RemoveSymTorsionValues(), OBForceField::VectorOOP(), OBForceField::VectorOOPDerivative(), OBForceField::VectorOOPDerivative(), and OBForceField::VectorTorsionDerivative().